
//////////////////////\\\\\\\\\\\\\\\\\\\\\\\
//           Copyright  2013              \\                                
//              MULTI_MA.mq4              \\
//                  Fillellin              \\
//////////////////////\\\\\\\\\\\\\\\\\\\\\\\

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 LimeGreen
#property indicator_color2 Orange
#property indicator_color3 Red
#property indicator_color4 Magenta
#property indicator_color5 Green
#property indicator_color6 Chocolate
#property indicator_color7 Blue
#property indicator_color8 Indigo
//-------------------------
extern int M1Period   = 8;
extern bool ma1viz    = true;      
//----
extern int M2Period   = 16;
extern bool ma2viz    = true;      
//----
extern int M3Period   = 24;
extern bool ma3viz    = true;      
//----
extern int M4Period   = 32;
extern bool ma4viz    = true;
//----
extern int M5Period   = 40;
extern bool ma5viz    = true; 
//----
extern int M6Period   = 48;
extern bool ma6viz    = true; 
//----
extern int M7Period   = 56;
extern bool ma7viz    = true; 
//----
extern int M8Period   = 64;
extern bool ma8viz    = true;    
//----
extern string shiftMA = " MA";
extern int MaShift    = 0;
//----
extern string metodMA = "0=MODE_SMA / 1=MODE_EMA / 2=MODE_SMMA / 3=MODE_LWMA";
extern int MODE_Ma    = 1;
//----
extern string priceMA = "0=PRICE_CLOSE / 1=PRICE_OPEN / 2=PRICE_HIGH / 3=PRICE_LOW / 4=PRICE_MEDIAN / 5=PRICE_TYPICAL / 6=PRICE_WEIGHTED";
extern int PRICE_Ma   = 0;
//----------------
double M1Buffer[];
double M2Buffer[];
double M3Buffer[];
double M4Buffer[];
double M5Buffer[];
double M6Buffer[];
double M7Buffer[];
double M8Buffer[];
//+------------------------------------------------------------------+
int init()
 {   
   SetIndexShift(0, MaShift);
   SetIndexShift(1, MaShift);
   SetIndexShift(2, MaShift);
   SetIndexShift(3, MaShift);
   SetIndexShift(4, MaShift);
   SetIndexShift(5, MaShift);
   SetIndexShift(6, MaShift);
   SetIndexShift(7, MaShift);
//----
   SetIndexBuffer(0, M1Buffer);
   SetIndexBuffer(1, M2Buffer);
   SetIndexBuffer(2, M3Buffer);
   SetIndexBuffer(3, M4Buffer);
   SetIndexBuffer(4, M5Buffer);
   SetIndexBuffer(5, M6Buffer);
   SetIndexBuffer(6, M7Buffer);
   SetIndexBuffer(7, M8Buffer);
//----
   SetIndexStyle(0, DRAW_LINE);
   SetIndexStyle(1, DRAW_LINE);
   SetIndexStyle(2, DRAW_LINE);
   SetIndexStyle(3, DRAW_LINE);
   SetIndexStyle(4, DRAW_LINE);
   SetIndexStyle(5, DRAW_LINE);
   SetIndexStyle(6, DRAW_LINE);
   SetIndexStyle(7, DRAW_LINE);
//----
   return(0);
 }
//+------------------------------------------------------------------+
int start()
 {
   int limit;
   int counted_bars = IndicatorCounted();
   if(counted_bars < 0) return(-1);
   if(counted_bars > 0) counted_bars--;
   limit = Bars - counted_bars;
   for(int i = 0; i < limit; i++)
    {
     if (ma1viz == true){M1Buffer[i] = iMA(NULL, 0, M1Period, 0, MODE_Ma, PRICE_Ma, i);}
     if (ma2viz == true){M2Buffer[i] = iMA(NULL, 0, M2Period, 0, MODE_Ma, PRICE_Ma, i);}
     if (ma3viz == true){M3Buffer[i] = iMA(NULL, 0, M3Period, 0, MODE_Ma, PRICE_Ma, i);}
     if (ma4viz == true){M4Buffer[i] = iMA(NULL, 0, M4Period, 0, MODE_Ma, PRICE_Ma, i);}
     if (ma5viz == true){M5Buffer[i] = iMA(NULL, 0, M5Period, 0, MODE_Ma, PRICE_Ma, i);}
     if (ma6viz == true){M6Buffer[i] = iMA(NULL, 0, M6Period, 0, MODE_Ma, PRICE_Ma, i);}
     if (ma7viz == true){M7Buffer[i] = iMA(NULL, 0, M7Period, 0, MODE_Ma, PRICE_Ma, i);}
     if (ma8viz == true){M8Buffer[i] = iMA(NULL, 0, M8Period, 0, MODE_Ma, PRICE_Ma, i);}
    }  
   //-----
   return(0);
 }
//+------------------------------------------------------------------+